Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.crd
Class CompletedCubeInfo

    java.lang.Object
      jet.server.api.crd.CompletedCRDInfo
          jet.server.api.crd.CompletedCubeInfo

All Implemented Interfaces:
  java.io.Serializable

    public class CompletedCubeInfo

extends CompletedCRDInfo

See Also:
  Serialized Form

Field Summary
`static short` | `ACTIVITY_CREATE` indicates the activity type of a log of cube: create (value=1).
`static short` | `ACTIVITY_DELETE` indicates the activity type of a log of cube: delete (value=7).
`static short` | `ACTIVITY_DISABLE` indicates the activity type of a log of cube: disable (value=5).
`static short` | `ACTIVITY_EDIT` indicates the activity type of a log of cube: edit (value=2).
`static short` | `ACTIVITY_ENABLE` indicates the activity type of a log of cube: enable (value=6).
`static short` | `ACTIVITY_INITIATE` indicates the activity type of a log of cube: initiate (value=3).
`static short` | `ACTIVITY_UPDATE` indicates the activity type of a log of cube: update (value=4).

Method Summary
`short` | `getActivityType()` get activity type of a log of cube, return value may be `ACTIVITY_CREATE` `ACTIVITY_EDIT` `ACTIVITY_INITIATE` `ACTIVITY_UPDATE` `ACTIVITY_DISABLE` `ACTIVITY_ENABLE` `ACTIVITY_DELETE`
`java.lang.String` | `getBvName()` get BV name the cube related.
`java.lang.String` | `getMessage()` get message of the historical info of cube, maybe a error message if failed to generate cube result, or other message.

Methods inherited from class jet.server.api.crd.CompletedCRDInfo
`getCatalogName, getCatalogPath, getCompletedTime, getCrdInfo, getDataSource, getId, getLastModified, getParamFile, getPassword, getQueryName, getQueryType, getStartTime, getUserName, isLazy, isSuccess, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTIVITY_CREATE

    public static final short ACTIVITY_CREATE

  indicates the activity type of a log of cube: create (value=1).

  See Also:
    Constant Field Values

### ACTIVITY_EDIT

    public static final short ACTIVITY_EDIT

  indicates the activity type of a log of cube: edit (value=2).

  See Also:
    Constant Field Values

### ACTIVITY_INITIATE

    public static final short ACTIVITY_INITIATE

  indicates the activity type of a log of cube: initiate (value=3).

  See Also:
    Constant Field Values

### ACTIVITY_UPDATE

    public static final short ACTIVITY_UPDATE

  indicates the activity type of a log of cube: update (value=4).

  See Also:
    Constant Field Values

### ACTIVITY_DISABLE

    public static final short ACTIVITY_DISABLE

  indicates the activity type of a log of cube: disable (value=5).

  See Also:
    Constant Field Values

### ACTIVITY_ENABLE

    public static final short ACTIVITY_ENABLE

  indicates the activity type of a log of cube: enable (value=6).

  See Also:
    Constant Field Values

### ACTIVITY_DELETE

    public static final short ACTIVITY_DELETE

  indicates the activity type of a log of cube: delete (value=7).

  See Also:
    Constant Field Values

Method Detail

### getBvName

    public java.lang.String getBvName()

  get BV name the cube related.

  Returns:
    BV name

### getActivityType

    public short getActivityType()

  get activity type of a log of cube, return value may be
  `ACTIVITY_CREATE`
  `ACTIVITY_EDIT`
  `ACTIVITY_INITIATE`
  `ACTIVITY_UPDATE`
  `ACTIVITY_DISABLE`
  `ACTIVITY_ENABLE`
  `ACTIVITY_DELETE`

  Returns:
    activity type.

### getMessage

    public java.lang.String getMessage()

  get message of the historical info of cube, maybe a error message if failed to generate cube result, or other message.

  Returns:
    the message of historical info.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD